%define prerel %nil
%define qt_ver_major 3
%define kdedir %(kde-config --prefix)
%define qtdir %_libdir/qt%qt_ver_major

Name: kfilereplace
Version: 0.7.0
Release: alt5

Group: Text tools
Summary: Multiple files replacing tool for KDE
Summary(ru-Ru.KOI8-R):      .
Url: http://%name.sourceforge.net/
License: GPL
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://prdownloads.sourceforge.net/%name/%name-%version%prerel.tar.bz2
Source1: %name-big.png
Source2: %name-po.tar.bz2

BuildPreReq: automake_1.4
BuildPreReq: menu-devel

# Automatically added by buildreq on Mon Jul 05 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ glibc-devel-static kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel libtiff-devel zlib-devel

%description
KFileReplace search and replace strings which appears inside files with others.
It support the wildcards (* and ?). For example, you can search for the
following text: "webserver*.htm" and replace it with "apache*.html" inside all
files you want.

%description -l ru-Ru.KOI8-R 
KFileReplace         
 ,     .  
     (wildcards) - *  ?. 

%prep
%setup -q -n %name-%version%prerel
%__tar jxf %SOURCE2
%__subst 's,\.la\>,.so,' configure* admin/acinclude.m4*

%build
%set_automake_version 1.4
export KDEDIR=%kdedir
export QTDIR=%qtdir

%make -f admin/Makefile.common
%configure \
	--disable-rpath \
	--enable-final \
	--disable-static \
	--enable-shared \
	--disable-debug \
	--program-prefix=""

%make_build

%install
%make DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Applications/Text tools" \
    %buildroot/%_datadir/applnk/Utilities/%name.desktop \
    %buildroot/%_menudir/%name

%__install -pD -m644 %SOURCE1 %buildroot%_iconsdir/%name.png

# workaround for doc installation
%__ln_s ../common %buildroot/%_docdir/HTML/en/%name/common

%find_lang %name

%post 
%update_menus

%postun 
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/apps/%name
%_iconsdir/%name.png
%_iconsdir/*/*/*/%name.png
%_menudir/%name
%_datadir/applnk/Utilities/%name.desktop
%doc %_docdir/HTML/en/%name

%changelog
* Mon Jul 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt5
- new and updated translations from KDE cvs.

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt4
- make buildable.

* Thu Sep 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt3
- make buildable.

* Fri Oct 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt2
- Rebuild with new Qt3/KDE3.

* Mon Sep 16 2002 Sergey V Turchin <zerg@altlinux.ru> 0.7.0-alt1
- 0.7.0 release
- rebuild with gcc 3.2

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt0.5pre2
- First KDE3 version 

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt3
- cleanups

* Tue Dec 4 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt2
- Menu, russian summary and description added. 

* Mon Nov 5 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt1
- first build for Sisyphus.
